Index

## Global Objects

- rap
- SWT

## Types

- $
- Button
- Canvas
- Client
- Combo
- Composite
- Control
- Event
- Label
- ProgressBar
- RemoteObject
- Scale
- ScrolledComposite
- Slider
- Spinner
- Text
- Widget

# Type Widget

RWT Scripting analog to org.eclipse.swt.widgets.Widget. All widgets given by rap.getObject are instances of this type, even if their specific subtype is not documented.

Field Summary
Field Attributes | Field Name and Description
--- | ---
| $el Instance of $ wrapping the widgets HTML element.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| getData(property) Returns the application defined property of the receiver with the specified name, or null if it has not been set.
| setData(property, value) Sets the application defined property of the receiver with the specified name to the given value.

Type Detail
<private> Widget()
The constructor is not public.

Since:
  2.2

Field Detail
$el
Instance of $ wrapping the widgets HTML element.
Method Detail
{*} getData(property)
Returns the application defined property of the receiver with the specified name, or null if it has not been set.

The java widget properties can be accessed if the property name was registered with WidgetUtil.registerDataKeys.

Parameters:
{string} property
  the name of the property

Returns:
  {*} the value

See:
  Widget#setData

setData(property, value)
Sets the application defined property of the receiver with the specified name to the given value.

The java widget is not affected by this method, but can itself set this object's properties if the name was registered with WidgetUtil.registerDataKeys.

Parameters:
{string} property
  the name of the property
{*} value
  the new value for the property

See:
  Widget#getData

Copyright (c) EclipseSource and others 2013, 2026. All rights reserved.